<bugID>1148050<Summary>Type Control Visual Improvements</Summary><Description>Here's a mockup of what the Type Controls should look like, versus what they currently look like: http://invis.io/3D2JR8ZJ5

We should try and clean this up a bit.</Description></bugID>